Name:           python-listquote
Version:        1.4.0
Release:        3%{?dist}
Summary:        Functions for Lists, Quotes and CSVs
License:        BSD
URL:            http://www.voidspace.org.uk/python/listquote.html
# http://www.voidspace.org.uk/cgi-bin/voidspace/downman.py?file=listquote.py
Source0:        listquote.py
BuildArch:      noarch
BuildRequires:  python2-devel


%description
This module provides functions for turning lists into strings - and back again.
It properly handles quoting and unquoting of elements and can even parse
recursive lists.

Because a CSV (comma separated value) file is basically a list - the module
includes functions for easily reading and writing CSVs.


%prep
rm -rf %{name}-%{version}
mkdir %{name}-%{version}
cd %{name}-%{version}

cp %{SOURCE0} .
cat >setup.py <<EOS
#!/usr/bin/env python

from distutils.core import setup

setup(name='listquote',
      version='1.4.0',
      description='%{summary}',
      author='Michael Foord',
      author_email='fuzzyman@voidspace.org.uk',
      url='http://www.voidspace.org.uk/python/listquote.html',
      py_modules=['listquote'],
     )
EOS


%build
cd %{name}-%{version}
python setup.py build


%install
cd %{name}-%{version}
python setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%{python_sitelib}/listquote*


%changelog
* Fri Apr 26 2013 Conrad Meyer <cemeyer@uw.edu> - 1.4.0-3
- Nuke python_sitelib, we get that for free now
- Don't nuke buildroot in %%install
- Be more specific about 'listquote' package in %%files

* Thu Apr 25 2013 Conrad Meyer <cemeyer@uw.edu> - 1.4.0-2
- BR python2-devel

* Sat Mar 2 2013 Conrad Meyer <cemeyer@uw.edu> - 1.4.0-1
- Initial package
